uniform mat4 modelViewProjectionMatrix; 
attribute vec4 position; 
attribute vec2 texture0; 
varying vec2 texCoord; 
const vec2 z = vec2(0.0, 0.0);
void main() { 
	texCoord = texture0; 
	vec4 pos = position; 
	if (texture0 == z){
		gl_Position = vec4(2.0, 0.0, 0.0, 1.0); 
	}else{
		gl_Position = modelViewProjectionMatrix * pos;
	}
}