precision mediump float; 

uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix; 
uniform float timedelta2;
uniform float camerax;
uniform float amplitude;
attribute vec4 position; 
attribute vec2 texture0; 
uniform vec2 translationxy;
varying vec2 texCoord; 
varying float toadd;

void main() { 
	texCoord = texture0 + translationxy; 
	vec4 pos = position;
	pos = modelViewMatrix * pos;
	if ((texCoord.y == 0.0)||(texCoord.y == 0.25)){
		pos.y= pos.y + (sin (timedelta2+pos.x + camerax) * amplitude);
		toadd = 1.0;
	}else{
		toadd = 0.7;
	}
	gl_Position = projectionMatrix*pos; 
}